﻿Friend Class TimestampPackList : Inherits List(Of TimestampPack)

	Private StartTime As Date = Date.Now

	Sub SetStartTime(StartTime As Date)
		Me.StartTime = StartTime
	End Sub

	Overloads Sub Add(CheckpointName As String)
		Add(New TimestampPack With {.CheckpointName = CheckpointName, .Timestamp = Date.Now - StartTime})
	End Sub
End Class
